Changeset 39e9093d


Ignore:
Timestamp:
08/13/2020 08:29:17 PM (14 months ago)
Author:
Ken Moffat <ken@…>
Branches:
10.0, 10.1, 11.0, ken/refactor-virt, lazarus, qt5new, trunk, xry111/git-date, xry111/git-date-for-trunk, xry111/git-date-test
Children:
da008f7
Parents:
c18f6acb
Message:

Tweak texlive instructions -

Do not use let if result might be 0, which silently returns non-zero status
and can break scripts, or if result starts with 0 but is >7 e.g. 08, which
will be treated as octal and visibly report an error.

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@23513 af4574ff-66df-0310-9fd7-8a98e5e911e0

Files:
2 edited

Legend:

Unmodified
Added
Removed
  • introduction/welcome/changelog.xml

    rc18f6acb r39e9093d  
    4646      <itemizedlist>
    4747        <listitem>
     48          <para>[ken] - Tweak the texlive instructions to not report
     49          an error from 'let'.</para>
     50        </listitem>
     51        <listitem>
    4852          <para>[ken] - Use updated patch in qtwebengine to fix build
    4953          with current bison.</para>
  • pst/typesetting/texlive.xml

    rc18f6acb r39e9093d  
    267267<!-- on a release, drop this back to current version but update the
    268268 Caution above and ideally keep this commented, every other (expletive
    269  deleted) poppler update tends to break this. -->
     269 deleted) poppler update tends to break this.  Fortunately, upstream
     270 has deleted the poppler directory from their source in
     271 https://tug.org/svn/texlive?view=revision&revision=55138
     272 so from TL2021 this aggravation should be gone. -->
    270273<screen><userinput>SYSPOP= &amp;&amp;
    271 let MYPOPPLER_MAJOR=$(pkg-config --modversion poppler | cut -d '.' -f1)
    272 let MYPOPPLER_MINOR=$(pkg-config --modversion poppler | cut -d '.' -f2)
    273 if [ "$MYPOPPLER_MAJOR" -eq 0 ] &amp;&amp; [ "$MYPOPPLER_MINOR" -lt 85 ]; then
     274MYPOPPLER_MAJOR=$(pkg-config --modversion poppler | cut -d '.' -f1)
     275if [ "$MYPOPPLER_MAJOR" = "0" ]; then
     276    # if major was >=20, minor could start with 0 and not fit in octal
     277    # causing error from 'let' in bash.
     278    let MYPOPPLER_MINOR=$(pkg-config --modversion poppler | cut -d '.' -f2)
     279else
     280    # force a value > 85
     281    let MYPOPPLER_MINOR=99
     282fi
     283if [ "$MYPOPPLER_MINOR" -lt 85 ]; then
    274284    # BLFS-9.1 uses 0.85.0, ignore earlier versions in this script.
     285    # If updating texlive on an older system, review the available
     286    # variants for pdftoepdf and pdftosrc to use system poppler.
    275287    SYSPOP=
    276288else
    277289    SYSPOP="--with-system-poppler --with-system-xpdf"
    278     if [ "$MYPOPPLER_MAJOR" -eq 0 ] &amp;&amp; [ "$MYPOPPLER_MINOR" -lt 86 ]; then
     290    if [ "$MYPOPPLER_MINOR" -lt 86 ]; then
    279291        mv -v texk/web2c/pdftexdir/pdftoepdf{-poppler0.83.0,}.cc
    280292    else # 0.86.0 or later, including 20.08.0.
Note: See TracChangeset for help on using the changeset viewer.